## opencpn-plugin-gradar 1.5.2

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Plagiarized by: Dave Cowell for WINDOWS
##
## Author:      bdbcat aka. dsr (Dave Register)
## Copyright:
## License:     wxWidgets License
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(gradar_pi)

SET(PACKAGE_NAME gradar_pi)
SET(VERBOSE_NAME GRadar)
SET(TITLE_NAME GRadar)
SET(CPACK_PACKAGE_CONTACT "Dave Register")

SET(VERSION_MAJOR "1")
SET(VERSION_MINOR "5")

#SET(CMAKE_BUILD_TYPE Debug)

INCLUDE("cmake/PluginConfigure.cmake")

# For convenience we define the sources as a variable. You can add
# header files and cpp/c files and CMake will sort them out

SET(SRC_GRADAR
        src/gradar_pi.h
        src/gradar_pi.cpp
        src/gradardialog.cpp
        src/gradardialog.h
        src/GRadarUI.cpp
        src/GRadarUI.h
        src/georef.h
        src/georef.cpp

)
SET(SRC_NMEA0183
        src/nmea0183/LatLong.hpp
        src/nmea0183/latlong.cpp
        src/nmea0183/long.cpp
        src/nmea0183/nmea0183.cpp
        src/nmea0183/nmea0183.hpp
        src/nmea0183/Response.hpp
        src/nmea0183/response.cpp
        src/nmea0183/RMB.hpp
        src/nmea0183/rmb.cpp
        src/nmea0183/Sentence.hpp
        src/nmea0183/sentence.cpp
        src/nmea0183/talkerid.cpp
        src/nmea0183/RMC.HPP
        src/nmea0183/rmc.cpp
        src/nmea0183/hexvalue.cpp
        src/nmea0183/lat.cpp
        src/nmea0183/expid.cpp
        src/nmea0183/wpl.hpp
        src/nmea0183/wpl.cpp
        src/nmea0183/rte.hpp
        src/nmea0183/rte.cpp
        src/nmea0183/hdt.hpp
        src/nmea0183/hdt.cpp
        src/nmea0183/hdg.hpp
        src/nmea0183/hdg.cpp
        src/nmea0183/hdm.hpp
        src/nmea0183/hdm.cpp
        src/nmea0183/gll.hpp
        src/nmea0183/gll.cpp
        src/nmea0183/vtg.hpp
        src/nmea0183/vtg.cpp
        src/nmea0183/gga.hpp
        src/nmea0183/gga.cpp
        src/nmea0183/gsv.hpp
        src/nmea0183/gsv.cpp
        src/nmea0183/GPwpl.cpp
        src/nmea0183/GPwpl.hpp
        src/nmea0183/apb.cpp
        src/nmea0183/apb.hpp
)
INCLUDE_DIRECTORIES(src/nmea0183)

ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_GRADAR} ${SRC_NMEA0183})

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-gradar (1.5.2-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 18 Aug 2019 13:09:44 -0700

opencpn-plugin-gradar (1.5.2-0mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 12:51:57 -0700

opencpn-plugin-gradar (1.5.2-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 04:13:53 -0700

opencpn-plugin-gradar (1.5.2-0~xenial1) xenial; urgency=low

  * Version 1.5.2

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:41:10 -0600

opencpn-plugin-gradar (1.5.1-0~precise1) precise; urgency=low

  * Version 1.5.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:37:14 -0600

opencpn-plugin-gradar (1.5.1-0~trusty1) trusty; urgency=low

  * Version 1.5.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:37:14 -0600

opencpn-plugin-gradar (1.5.1-0~vivid1) vivid; urgency=low

  * Version 1.5.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:37:14 -0600

opencpn-plugin-gradar (1.5.1-0~wily1) wily; urgency=low

  * Version 1.5.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:37:14 -0600

opencpn-plugin-gradar (1.5.1-0~xenial1) xenial; urgency=low

  * Version 1.5.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:37:14 -0600

opencpn-plugin-gradar (1.5.1-0~utopic1) utopic; urgency=low

  * Version 1.5.1

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 09 Jun 2015 19:14:48 -0500

opencpn-plugin-gradar (1.5.0-0~precise1) precise; urgency=low

  * Version 1.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 17:42:16 -0500

opencpn-plugin-gradar (1.5.0-0~trusty1) trusty; urgency=low

  * Version 1.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 17:42:16 -0500

opencpn-plugin-gradar (1.5.0-0~utopic1) utopic; urgency=low

  * Version 1.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 17:42:16 -0500

opencpn-plugin-gradar (1.5.0-0~vivid1) vivid; urgency=low

  * Version 1.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 17:42:16 -0500

opencpn-plugin-gradar (1.5.0-0~wily1) wily; urgency=low

  * Version 1.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 17:42:16 -0500

=== debian/control ===
Source: opencpn-plugin-gradar
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-gradar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn (>= 4.1.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#Don't touch the SVG files otherwise cairo is not able to render them...
DEB_DH_SCOUR_ARGS += -Xsvg

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

#%:
#	dh $@ 

override_dh_strip:
	dh_strip --no-automatic-dbgsym
